Bug 212552 - sbin/shutdown/shutdown.8 - Amend HISTORY
Summary: sbin/shutdown/shutdown.8 - Amend HISTORY
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sevan Janiyan
URL: https://reviews.freebsd.org/D8105
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-10 04:04 UTC by Sevan Janiyan
Modified: 2017-03-30 02:30 UTC (History)
0 users

See Also:


Attachments
shutdown(8) - Ammend HISTORY (427 bytes, patch)
2016-09-10 04:04 UTC, Sevan Janiyan
no flags Details | Diff
shutdown(8) - Amend HISTORY (599 bytes, patch)
2016-09-21 02:37 UTC, Sevan Janiyan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2016-09-10 04:04:19 UTC
Created attachment 174610 [details]
shutdown(8) - Ammend HISTORY

shutdown appeared as a standalone utility in 4.2BSD release, in 4.0BSD it is a target in init.
Verified using CSRG archive.
Bump date
Comment 1 Sevan Janiyan 2016-09-13 23:20:56 UTC
(In reply to Sevan Janiyan from comment #0)
Not going to close this, but the history of this command is not that straight forward. hence the current patch should not be commited.
http://mail-index.netbsd.org/source-changes-d/2016/09/13/msg008686.html
Comment 2 Sevan Janiyan 2016-09-21 02:37:22 UTC
Created attachment 175025 [details]
shutdown(8) - Amend HISTORY

Robert Elz set things straight.
http://mail-index.netbsd.org/source-changes-d/2016/09/14/msg008691.html
Comment 3 commit-hook freebsd_committer 2016-10-03 00:56:17 UTC
A commit references this bug:

Author: sevan
Date: Mon Oct  3 00:55:18 UTC 2016
New revision: 306617
URL: https://svnweb.freebsd.org/changeset/base/306617

Log:
  shutdown appeared as a standalone utility in 4.1BSD.
  http://mail-index.netbsd.org/source-changes-d/2016/09/13/msg008686.html
  http://mail-index.netbsd.org/source-changes-d/2016/09/14/msg008691.html
  PR:		212552
  Approved by:	bcr (mentor)
  Obtained from:	NetBSD
  MFC after:	4 days
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
  head/sbin/shutdown/shutdown.8
Comment 4 commit-hook freebsd_committer 2016-10-16 23:04:43 UTC
A commit references this bug:

Author: sevan
Date: Sun Oct 16 23:03:48 UTC 2016
New revision: 307414
URL: https://svnweb.freebsd.org/changeset/base/307414

Log:
  MFC r306617:
  shutdown appeared as a standalone utility in 4.1BSD.
  http://mail-index.netbsd.org/source-changes-d/2016/09/13/msg008686.html
  http://mail-index.netbsd.org/source-changes-d/2016/09/14/msg008691.html
  PR:		212552
  Approved by:	bcr (mentor)
  Obtained from:	NetBSD
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
_U  stable/11/
  stable/11/sbin/shutdown/shutdown.8
Comment 5 commit-hook freebsd_committer 2017-03-30 02:30:02 UTC
A commit references this bug:

Author: sevan
Date: Thu Mar 30 02:28:49 UTC 2017
New revision: 316204
URL: https://svnweb.freebsd.org/changeset/base/316204

Log:
  MFC r306617

  shutdown appeared as a standalone utility in 4.1BSD.
  http://mail-index.netbsd.org/source-changes-d/2016/09/13/msg008686.html
  http://mail-index.netbsd.org/source-changes-d/2016/09/14/msg008691.html
  PR:		212552
  Approved by:	bcr (mentor)
  Obtained from:	NetBSD
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
_U  stable/10/
  stable/10/sbin/shutdown/shutdown.8